> For a complete page index, fetch https://developer.close.com/llms.txt # Create a User Scheduling Link POST https://api.close.com/api/v1/scheduling_link/ Content-Type: application/json Reference: https://developer.close.com/api/resources/scheduling-links/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an any. - `any` ## Response ### 201 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "description": "Description of Example Scheduling Link", "name": "Example Scheduling Link", "url": "example.com/schedule" } ``` **Response** ```json { "description": "Description of Example Scheduling Link", "duration_in_minutes": null, "id": "schlnk_2xfNHpU6cjThMuhioZ3GjX", "name": "Example Scheduling Link", "oauth_client_id": null, "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "source": "MANUAL", "source_id": null, "source_type": null, "template_tag": null, "type": "USER", "url": "https://example.com/schedule", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python import requests url = "https://api.close.com/api/v1/scheduling_link/" payload = { "description": "Description of Example Scheduling Link", "name": "Example Scheduling Link", "url": "example.com/schedule" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://api.close.com/api/v1/scheduling_link/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"description":"Description of Example Scheduling Link","name":"Example Scheduling Link","url":"example.com/schedule"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/scheduling_link/" payload := strings.NewReader("{\n \"description\": \"Description of Example Scheduling Link\",\n \"name\": \"Example Scheduling Link\",\n \"url\": \"example.com/schedule\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/scheduling_link/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"description\": \"Description of Example Scheduling Link\",\n \"name\": \"Example Scheduling Link\",\n \"url\": \"example.com/schedule\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/scheduling_link/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"description\": \"Description of Example Scheduling Link\",\n \"name\": \"Example Scheduling Link\",\n \"url\": \"example.com/schedule\"\n}") .asString(); ``` ```php request('POST', 'https://api.close.com/api/v1/scheduling_link/', [ 'body' => '{ "description": "Description of Example Scheduling Link", "name": "Example Scheduling Link", "url": "example.com/schedule" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/scheduling_link/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"description\": \"Description of Example Scheduling Link\",\n \"name\": \"Example Scheduling Link\",\n \"url\": \"example.com/schedule\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```